Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.2.0   

External issue:    

Description

Hello Andrew

do you have a plans to add Mercurial support to this Redmine SCM Creator. I’m using redmine with SVN and Mercurial so it’s really

interesting for me.

in case if you would need any help I’d be more than happy to help (i’m actually sys admin so will be able to help with such problems 

)

Regards

Michael

History

#1 - 18 Jul 2011 13:01 - Andriy Lesyuk

- Target version set to 0.2.0

#2 - 18 Jul 2011 13:12 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

Hello, Michael! Thanks for reporting!.. Now I do have plans...  I really need someone’s help to support such SCMs as Mercurial because I did/do not

use them. You can help with:

Instructions on how to setup a repo

Test the plugin with Mercurial support

For other SCMs the plugin does:

1. Uses file:///... style URLs for local SVN repos and /../... style “URLs” for local Git repos

2. Uses svnadmin create <path> command to create SVN repo and git init --bare <path> for Git repos

3. For Git it also runs git update-server-info

Could you please point me to a short article describing how to create Mercurial repo and/or write a short tutorial just here?

#3 - 18 Jul 2011 13:31 - Michael Veselovski

will update the issue with details how to use mercurial later today
Cheers,

Michael

#4 - 27 Jul 2011 16:18 - John Blackwood

To create a mercurial repository:

hg init <path>

The location of the repository for redmine is the same as for git:

/../../repository_name

#5 - 13 Sep 2011 20:04 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 60

Added Mercurial support (recent code in SVN)!

Please test it and confirm that it works.

Thanks

#6 - 17 Sep 2011 23:06 - Andriy Lesyuk

- % Done changed from 60 to 80

Need someone to test this.

#7 - 21 Sep 2011 16:27 - Etienne Savard

Hi Andriy,

Just what I was looking for.

I use Mercurial and Redmine on Windows (customer requirement).  I will test the plugin for you.

Étienne.

#8 - 21 Sep 2011 20:11 - Etienne Savard

Hi Andriy,

Just want to let you know that I’ve tested your plugin and it works like a charm!

Thanks a lot!

Etienne.
#9 - 21 Sep 2011 21:22 - Andriy Lesyuk

- Due date set to 21 Sep 2011

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

Thank you, Etienne!

#10 - 22 Sep 2011 16:05 - John Blackwood

I’ve updated the plugin on my server (svn update) and restarted apache, but Mercurial doesn’t appear in the drop down of possible SCMs. Have I

missed a step?

#11 - 22 Sep 2011 16:07 - Andriy Lesyuk

I’ve updated the plugin on my server (svn update) and restarted apache, but Mercurial doesn’t appear in the drop down of possible SCMs. Have

I missed a step?

 

You need to update scm.yml in #{RAILS_ROOT}/config. See scm.yml distributed with the plugin (in SVN) for example.

#12 - 22 Sep 2011 16:12 - John Blackwood

Andriy Lesyuk wrote:

I’ve updated the plugin on my server (svn update) and restarted apache, but Mercurial doesn’t appear in the drop down of possible SCMs.

Have I missed a step?

 

You need to update scm.yml in #{RAILS_ROOT}/config. See scm.yml distributed with the plugin (in SVN) for example.

 

Aha, that would be the issue. I was changing the config file in the plugin directory. It does appear to work perfectly now.
